package kz.arta.synergy.workflow.mobile.android.files.manager;

import java.io.Serializable;

import kz.arta.synergy.workflow.mobile.android.files.FilesConst;

/**
 * Created by neox on 02.11.15.
 * Параметры поиска файлов
 */
public class SearchParams implements Serializable {

    public static final int COUNT_FILES = 30;

    /**
     * Искомая строка
     */
    private String contains;

    /**
     * Идентификатор папки, в которой производится поиск
     */
    private String folderID;

    /**
     * Тип содержимого
     *
     * @see FilesConst#AI_DOCUMENT
     * @see FilesConst#AI_HTD_DOCUMENT
     * @see FilesConst#AI_IMAGE
     * @see FilesConst#AI_AUDIO
     * @see FilesConst#AI_VIDEO
     * @see FilesConst#AI_APPLICATION
     */
    private String aiType;

    /**
     * Тип сортировки
     *
     * @see FilesConst#SORT_RELEVANCE
     * @see FilesConst#SORT_DATE
     * @see FilesConst#SORT_READSCOUNT
     */
    private int sortType = FilesConst.SORT_RELEVANCE;

    /**
     * Начало периода последнего изменения в формате yyyy-MM-dd
     */
    private String modifiedFrom;

    /**
     * Завершение периода последнего изменения в формате yyyy-MM-dd
     */
    private String modifiedTo;

    /**
     * Сортировка по дате
     */
    private int sortDate;

    /**
     * Номер страницы
     */
    private int firstResult = 0;

    public String getContains() {
        return contains;
    }

    public void setContains(String contains) {
        this.contains = contains;
    }

    public String getFolderID() {
        return folderID;
    }

    public void setFolderID(String folderID) {
        this.folderID = folderID;
    }

    public String getAiType() {
        return aiType;
    }

    public void setAiType(String aiType) {
        this.aiType = aiType;
    }

    public int getSortType() {
        return sortType;
    }

    public void setSortType(int sortType) {
        this.sortType = sortType;
    }

    public String getModifiedFrom() {
        return modifiedFrom;
    }

    public void setModifiedFrom(String modifiedFrom) {
        this.modifiedFrom = modifiedFrom;
    }

    public String getModifiedTo() {
        return modifiedTo;
    }

    public void setModifiedTo(String modifiedTo) {
        this.modifiedTo = modifiedTo;
    }

    public int getFirstResult() {
        return firstResult;
    }

    public void setFirstResult(int firstResult) {
        this.firstResult = firstResult;
    }

    public int getSortDate() {
        return sortDate;
    }

    public void setSortDate(int sortDate) {
        this.sortDate = sortDate;
    }
}
